[PATCH 08/12] disable bad LAST/50-misc sections for VSCHILD

Sam Vilain sam at vilain.net
Mon May 1 05:47:23 CEST 2006


Disable some sections of this script for VSCHILD class that don't make
any sense.

---

=== examples/simple/scripts/LAST/50-misc
==================================================================
--- examples/simple/scripts/LAST/50-misc	(revision 8128)
+++ examples/simple/scripts/LAST/50-misc	(revision 8129)
@@ -14,20 +14,27 @@
 echo "#$FAI_DEBMIRROR $MNTPOINT nfs ro 0 0" >> $target/etc/fstab
 
 # set bios clock
-if [ $DO_INIT_TASKS -eq 1 ] ; then
-    case "$UTC" in
-       no|"") hwopt="--localtime" ;;
-       yes)   hwopt="--utc"       ;;
-    esac
-    $ROOTCMD hwclock $hwopt --systohc
+if ! ifclass VSCHILD
+then
+    if [ $DO_INIT_TASKS -eq 1 ] ; then
+        case "$UTC" in
+           no|"") hwopt="--localtime" ;;
+           yes)   hwopt="--utc"       ;;
+        esac
+        $ROOTCMD hwclock $hwopt --systohc
+    fi
 fi
 
 # Make sure everything is configured properly
 echo "Running \"apt-get -f install\" for the last time."
 $ROOTCMD apt-get -f install
 
-lskernels=$(echo $target/boot/vmlinu*)
-[ -f ${lskernels%% *} ] || echo "ERROR: No kernel was installed. Have a look at shell.log"
+if ! ifclass VSCHILD
+then
+    lskernels=$(echo $target/boot/vmlinu*)
+    [ -f ${lskernels%% *} ] || echo "ERROR: No kernel was installed. Have a look at shell.log"
+fi
+
 # copy sources.list
 fcopy -i /etc/apt/sources.list
 



More information about the linux-fai mailing list